﻿#include ../common/functions.jsx
#include shared/functions.jsx

function Calibrate()
{
	SetAOExport(x_ExportAO);
	updateDDS();
	
	var mapType = GetMapType();
	switch(mapType)
	{
		case "Normal":
        case "Bump":
            return GetBumpedNormal(mapType);
			
		case "Albedo":
			SetMapType("Diffuse");
			var map = GetMergedMap();
			
			BlendMap(map, "AO", BlendMode.MULTIPLY);
			
			return map;

		case "Specular":
			var specular = GetMergedMap();
			exposure(0, 0, x_SpecularBrightness2);					// Brighter map (expose, offset, gamma)
			
			return specular;
			
		case "AO":
		case "Dirt":
			return null;
			
		default:
			return GetMergedMap();
	}
}

function Finish()
{

}